
%global meadversion 1.3.16
%global namedversion 1.3.16.SP1-redhat-6
%global meadalpha .SP1_redhat_6
%global meadrel .1
%global serial 18
%global namedversionrel redhat-6

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package sun-saaj-1.3-impl}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.3.16.SP1-redhat-6

Name:           %{?scl_prefix}sun-saaj-1.3-impl
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        saaj-impl
Group:          Development/Java

%if %with mead
Source100: saaj-impl-1.3.16.SP1-redhat-6-scm-sources.zip
Source102: saaj-impl-1.3.16.SP1-redhat-6-javadoc.jar
Source103: saaj-impl-1.3.16.SP1-redhat-6-project-sources.tar.gz
Source104: saaj-impl-1.3.16.SP1-redhat-6.pom
Source105: saaj-impl-1.3.16.SP1-redhat-6-sources.jar
Source106: saaj-impl-1.3.16.SP1-redhat-6.jar
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            http://java.net/projects/saaj/sources/svn/show/tags/saaj-impl-1.3.16
Provides:       %{?scl_prefix}saaj-impl = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Open source Reference Implementation of JSR-67: SOAP with Attachments
API for Java (SAAJ MR :1.3).

%if %with javadoc
%package javadoc
Summary:        Javadoc for saaj-impl
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n saaj-impl -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/saaj-impl-%{namedversion}.jar %{buildroot}%{_javadir}/saaj-impl13-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/saaj-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/saaj-impl13-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/saaj-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/saaj-impl13-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/saaj-impl13-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/saaj-impl13-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/saaj-impl13-%{namedversion} -x META-INF/\*
%{__ln_s} saaj-impl13-%{namedversion} %{buildroot}%{_javadocdir}/saaj-impl13
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc license.html docs/
%{_javadir}/saaj-impl13-%{namedversion}.jar
%{_javadir}/saaj-impl13.jar
%if %with javadoc
%{_javadir}/saaj-impl13-%{namedversion}-javadoc.jar
%{_javadir}/saaj-impl13-javadoc.jar
%endif
%{_javadir}/saaj-impl13-%{namedversion}-sources.jar
%{_javadir}/saaj-impl13-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/saaj-impl13-%{namedversion}
%{_javadocdir}/saaj-impl13
%endif

%changelog
* Fri Nov 08 2019 Yong Yang <yyang@redhat.com> - 1.3.16-18.SP1_redhat_6.1
- Rename jars to impl13

* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 1.3.16-18.SP1_redhat_6.1
- Rename saaj-impl to saaj-impl13

* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 1.3.16-17.SP1_redhat_6.1
- Rewrap for 7.2.0

* Thu Nov 09 2017 Permaine Cheung <pcheung@redhat.com> - 1.3.16-16.SP1_redhat_6.1
- Fix license (JBEAP-13468)

* Wed Nov 11 2015 David Walluck <dwalluck@redhat.com> - 1.3.16-15.SP1_redhat_6.1
- fix build

* Wed Nov 11 2015 David Walluck <dwalluck@redhat.com> - 1.3.16-14.SP1_redhat_5.2
- update POM

* Wed Nov 11 2015 David Walluck <dwalluck@redhat.com> - 1.3.16-14.SP1_redhat_5.1
- fix build

* Mon Nov 09 2015 David Walluck <dwalluck@redhat.com> - 1.3.16-13.SP1_redhat_4.1
- update POM

* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.3.16-12.SP1_redhat_3.1
- release

